

provider_config:
  bms:
    ssh_user: "ubuntu"
    ssh_pwd:
    ssh_private_key: "/home/ubuntu/.ssh/id_rsa"
    domainsuffix: ""

instances:
  node_10_0_0_49:
    ip: "10.0.0.49"
    provider: bms
    roles:
      analytics:
      analytics_snmp:
      analytics_alarm:
      analytics_database:
      config:
      config_database:
      control:
      webui:
      openstack:
      vrouter:
      openstack_compute:

global_configuration:
  ENABLE_DESTROY: False
  CONTAINER_REGISTRY: "nexus.gz1.opensdn.io:5101"
  REGISTRY_PRIVATE_INSECURE: True

  K8S_YUM_REPO_URL: "http://tf-mirrors.gz1.opensdn.io/repos/yum7/latest/k8s/"

default_configuration:
  VXLAN_VN_ID_MODE: automatic
contrail_configuration:
  CONTRAIL_CONTAINER_TAG: "master-1_9_0_2-3"
  CONTROL_NODES: "10.20.0.14"
  CONFIG_DATABASE_NODEMGR__DEFAULTS__minimum_diskGB: "2"
  DATABASE_NODEMGR__DEFAULTS__minimum_diskGB: "2"
  JVM_EXTRA_OPTS: "-Xms1g -Xmx2g"
  VROUTER_ENCRYPTION: FALSE
  LOG_LEVEL: SYS_DEBUG
  CLOUD_ORCHESTRATOR: openstack
  SSL_ENABLE: "false"
  RABBITMQ_USE_SSL: "false"
  CASSANDRA_SSL_ENABLE: "false"
  ANALYTICSDB_ENABLE: "true"
  ANALYTICS_ALARM_ENABLE: "true"
  ANALYTICS_SNMP_ENABLE: "true"
  HUGE_PAGES_2MB: "256"
  KOLLA_MODE: patched
  OPENSTACK_VERSION: "yoga"
  AUTH_MODE: keystone
  AAA_MODE: rbac
  KEYSTONE_AUTH_URL_VERSION: /v3
kolla_config:
  kolla_globals:
    nova_compute_virt_type: "qemu"
    enable_haproxy: no
    enable_ironic: no
    enable_ironic_notifications: no
    openstack_service_workers: 1
    kolla_base_distro: "centos"
    nova_logging_debug: "True"
    neutron_logging_debug: "True"
    heat_logging_debug: "True"
  kolla_passwords:
    keystone_admin_password: contrail123
